From: <a href="/blend/av.cgi?id=74">Echolocation</a><BR>
Date: 16 April 2005<P>

Wow...where is everybody???
<HR>
From: <a href="/blend/av.cgi?id=23">Kirk</a><BR>
Date: 16 April 2005<P>

Oh, just a midmonth slump.<BR>
<BR>
The Blender doesn't have as much community as once upon a time. Whether its Cap'n MPD finally irritating enough people, or me not publicizing it enough, or what, I dunno...<BR>
<BR>
On the one hand I worry about the place becoming a ghost site. On the other hand, a few years ago, it was REALLY tough to read through 500-700 submissions on a monthly basis.  So I dunno.<BR>
<BR>
Thoughts?
<HR>
From: <a href="/blend/av.cgi?id=1552">Juhaa</a><BR>
Date: 16 April 2005<P>

I think you're too nice to the bullies. I know you believe in the right to speak/type without censor, but this isn't a place to spout crap. They can freely spew their bile elsewhere, in sites designed for that, we don't have to be subjected to it here.  You state that you reserve the right to remove postings/comments. I think you should do it. Start chopping the freaks and meanies off at the ankles. And everyone who comes here should ignore the postings of madmen, until they are removed by the Blenderkeeper, not commenting in response to them. Once they realize they can't have much fun here, they'll go somewhere else. Then the people who want to post and talk about poetry and prose can do so without associating with that ilk.
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 16 April 2005<P>

Thanks for being the liberal you are Kirk, I for one appreciate it and I know others here that do as well. If you can get Sush to keep it on the political page and stop the cut and pasting it would be a miracle. I went back years to see all the crap he's put on these pages. I for one don't think he's that articulate, I think he steals every thought that he reads so I'd be very careful if I were you. He hasn't written anything original that anyone can remember except to attack the people here and that's because we dare have an opinion that differs with his.(how dare we)<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1552">Juhaa</a><BR>
Date: 16 April 2005<P>

So, what's your stance, BK? 
<HR>
From: <a href="/blend/av.cgi?id=13">B.K.</a><BR>
Date: 16 April 2005<P>

Well this page belongs to Kirk not me. As always it's his decision. He knows if he bans they only come back with another name. It's his space and his call.  I remember getting so angy I almost burst a bloodvein when there were poems posted here praising Allah for killing 2000 Americans. (I understand Osama loves lovepoetry) ha Other things here have given me reason to speak out. I won't be bullied here not by anyone. This has been my sanctuary too, and out of respect, I will keep it on the soapbox as I think it is the best way. Like Juan says agreeing to disagree but still appreciating the poetry. The poetry is what we are here for,the rest is as they say, Shit Happens.<BR>
As I always say, put it on the front page and earn your respect here.<BR>
<BR>
bk
<HR>
From: <a href="/blend/av.cgi?id=1620">sush's mom</a><BR>
Date: 16 April 2005<P>

Mark is was a very bright kid who's grown up to be an even brighter adult (I can show you tons of tests and assessments over the years to illustrate this). That said, he does have a penchant for disruptive speech. Myself and his father - along with his current therapist - are making much progress on this front. We thank you all for your continued patience.
<HR>